[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBinaryObjectWriter.WriteUInt64

Write an unsigned 64-bit integer

## Declaration

Source position: classesh.inc line 1525

`public procedure TBinaryObjectWriter.WriteUInt64(`
`Value: QWord`
`); override;`

## Description

WriteUInt64 is overridden by TBinaryObjectWriter to write an unsigned 64-bit integer (QWord) to the stream. It tries to use the smallest possible storage for the value that is passed. (largest valuetype will be vaQWord).

## See also

TAbstractObjectWriter.WriteUInt64 |  | Write an unsigned 64-bit integer